
Redmine - Defect #25299

Markdown pre-block could derive incorrect wiki sections

2017-03-10 08:01 - Kiichi Ozaki

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 3.3.7   

Resolution: Fixed Affected version: 3.3.6

Description

In markdown formatting, pre-block by ``` including # derives incorrect wiki editable-sections.

Example:

# H1

## H2

```

## pre-block

```

### H3

  redmine-wiki.png 

Editing section "H2":

## H2

```

 and editing section "H3":

## pre-block

```

### H3

 As above, # in pre-block is treated as markdown header.

NOTE pre-block by ~~~ does right results.

# H1

## H2

~~~

## pre-block

~~~

### H3

 Editing "H2":

## H2

~~~

## pre-block

~~~
### H3

 and editing "H3":

### H3

 I attached a fix patch.

Related issues:

Blocks Redmine - Feature #22843: Change the value of "pre" button in Markdown... Closed

Associated revisions

Revision 17266 - 2018-04-07 09:34 - Jean-Philippe Lang

Markdown pre-block could derive incorrect wiki sections (#25299).

Patch by Kiichi Ozaki.

Revision 17267 - 2018-04-07 09:43 - Jean-Philippe Lang

Merged r17266 into 3.4-stable (#25299).

Revision 17268 - 2018-04-07 09:46 - Jean-Philippe Lang

Merged r17266 into 3.3-stable (#25299).

History

#1 - 2017-04-05 15:01 - Toshi MARUYAMA

- Target version set to 4.1.0

#2 - 2018-01-08 05:47 - Go MAEDA

- Blocks Feature #22843: Change the value of "pre" button in Markdown toolbar from "~~~" to "```" added

#3 - 2018-03-09 04:46 - Go MAEDA

- Target version changed from 4.1.0 to 3.3.7

- Affected version set to 3.3.6

Since it is a very small fix, I think we can include the fix in the next minor release. Setting target version to 3.3.7.

#4 - 2018-04-07 09:46 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.

Files
